Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 872)
+++ src/mlx/gui/flight.py	(revision 1008)
@@ -1395,12 +1385,12 @@
         self._ivaoID.set_width_chars(7)
         alignment.add(self._ivaoID)
-        table.attach(alignment, 1, 2, row, row+1)
+        table.attach(alignment, 3, 4, row, row+1)
         label.set_mnemonic_widget(self._ivaoID)
 
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_phone_num"))
+        label = Gtk.Label(xstr("register_phone_num"))
         label.set_use_underline(True)
         label.set_use_markup(True)
@@ -1408,5 +1398,5 @@
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._phoneNumber = gtk.Entry()
+        self._phoneNumber = Gtk.Entry()
         self._phoneNumber.set_tooltip_text(xstr("register_phone_num_tooltip"))
         table.attach(self._phoneNumber, 1, 2, row, row+1)
@@ -1415,7 +1405,7 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_nationality"))
+        label = Gtk.Label(xstr("register_nationality"))
         label.set_use_underline(True)
         label.set_use_markup(True)
@@ -1424,26 +1414,26 @@
 
 
-        self._nationality = gtk.Entry()
+        self._nationality = Gtk.Entry()
         self._nationality.set_tooltip_text(xstr("register_nationality_tooltip"))
         table.attach(self._nationality, 1, 2, row, row+1)
         label.set_mnemonic_widget(self._nationality)
 
-        placeholder = gtk.Label()
+        placeholder = Gtk.Label()
         placeholder.set_text(xstr("register_password_mismatch"))
         placeholder.set_use_markup(True)
         placeholder.set_child_visible(False)
         placeholder.hide()
-        table.attach(placeholder, 2, 3, row, row+1)
+        table.attach(placeholder, 2, 4, row, row+1)
 
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_password"))
+        label = Gtk.Label(xstr("register_password"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._password = gtk.Entry()
+        self._password = Gtk.Entry()
         self._password.set_visibility(False)
         self._password.connect("changed", self._updateButtons)
@@ -1452,20 +1442,20 @@
         label.set_mnemonic_widget(self._password)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        self._passwordStatus = gtk.Label()
+        self._passwordStatus = Gtk.Label()
         alignment.add(self._passwordStatus)
-        table.attach(alignment, 2, 3, row, row+1)
+        table.attach(alignment, 2, 4, row, row+1)
 
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_password2"))
+        label = Gtk.Label(xstr("register_password2"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._password2 = gtk.Entry()
+        self._password2 = Gtk.Entry()
         self._password2.set_visibility(False)
         self._password2.connect("changed", self._updateButtons)
@@ -1474,16 +1464,16 @@
         label.set_mnemonic_widget(self._password2)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        self._password2Status = gtk.Label()
+        self._password2Status = Gtk.Label()
         alignment.add(self._password2Status)
-        table.attach(alignment, 2, 3, row, row+1)
+        table.attach(alignment, 2, 4, row, row+1)
 
         row += 1
 
-        self._rememberButton = gtk.CheckButton(xstr("remember_password"))
+        self._rememberButton = Gtk.CheckButton(xstr("remember_password"))
         self._rememberButton.set_use_underline(True)
         self._rememberButton.set_tooltip_text(xstr("login_remember_tooltip"))
-        table.attach(self._rememberButton, 1, 2, row, row+1)
+        table.attach(self._rememberButton, 1, 3, row, row+1)
 
         cancelButton = \
@@ -1629,13 +1619,13 @@
                                             self.phoneNumber, self.nationality,
                                             self.password)
-        print "Registering with data:"
-        print "  name:", self.name1, self.name2, registrationData.firstName, registrationData.surName, requestedNameOrder
-        print "  yearOfBirth:", self.yearOfBirth, registrationData.yearOfBirth
-        print "  emailAddress:", self.emailAddress, registrationData.emailAddress
-        print "  emailAddressPublic:", self.emailAddressPublic, registrationData.emailAddressPublic
-        print "  vatsimID:", self.vatsimID, registrationData.vatsimID
-        print "  ivaoID:", self.ivaoID, registrationData.ivaoID
-        print "  phoneNumber:", self.phoneNumber, registrationData.phoneNumber
-        print "  nationality:", self.nationality, registrationData.nationality
+        print("Registering with data:")
+        print("  name:", self.name1, self.name2, registrationData.firstName, registrationData.surName, requestedNameOrder)
+        print("  yearOfBirth:", self.yearOfBirth, registrationData.yearOfBirth)
+        print("  emailAddress:", self.emailAddress, registrationData.emailAddress)
+        print("  emailAddressPublic:", self.emailAddressPublic, registrationData.emailAddressPublic)
+        print("  vatsimID:", self.vatsimID, registrationData.vatsimID)
+        print("  ivaoID:", self.ivaoID, registrationData.ivaoID)
+        print("  phoneNumber:", self.phoneNumber, registrationData.phoneNumber)
+        print("  nationality:", self.nationality, registrationData.nationality)
 
         gui = self._wizard.gui
@@ -1645,5 +1635,5 @@
     def _registerResultCallback(self, returned, result):
         """Called when the registration result is available."""
-        gobject.idle_add(self._handleRegisterResult, returned, result)
+        GObject.idle_add(self._handleRegisterResult, returned, result)
 
     def _handleRegisterResult(self, returned, result):
@@ -1653,13 +1643,13 @@
         gui.endBusy()
 
-        print "Registration result:"
-        print "  returned:", returned
+        print("Registration result:")
+        print("  returned:", returned)
         if returned:
-            print "  registered:", result.registered
+            print("  registered:", result.registered)
             if result.registered:
-                print "  pilotID", result.pilotID
-                print "  loggedIn", result.loggedIn
-            print "  emailAlreadyRegistered:", result.emailAlreadyRegistered
-            print "  invalidData:", result.invalidData
+                print("  pilotID", result.pilotID)
+                print("  loggedIn", result.loggedIn)
+            print("  emailAlreadyRegistered:", result.emailAlreadyRegistered)
+            print("  invalidData:", result.invalidData)
 
         registrationOK = returned and result.registered
@@ -1673,5 +1663,5 @@
             else:
                 secondaryMessage = xstr("register_nologin") % (result.pilotID,)
-            messageType = MESSAGETYPE_INFO
+            messageType = Gtk.MessageType.INFO
 
             config = gui.config
@@ -1686,13 +1676,13 @@
         elif returned and result.emailAlreadyRegistered:
             secondaryMessage = xstr("register_email_already")
-            messageType = MESSAGETYPE_ERROR
+            messageType = Gtk.MessageType.ERROR
         elif returned and result.invalidData:
             secondaryMessage = xstr("register_invalid_data")
-            messageType = MESSAGETYPE_ERROR
+            messageType = Gtk.MessageType.ERROR
         else:
             secondaryMessage = xstr("register_error")
-            messageType = MESSAGETYPE_ERROR
-
-        dialog = gtk.MessageDialog(parent = gui.mainWindow,
+            messageType = Gtk.MessageType.ERROR
+
+        dialog = Gtk.MessageDialog(parent = gui.mainWindow,
                                    type = messageType,
                                    message_format = message)
@@ -1728,8 +1718,8 @@
         self._getEntryExamStatusCancelled = False
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.5, yscale = 0.0)
 
-        table = gtk.Table(6, 4)
+        table = Gtk.Table(6, 4)
         table.set_row_spacings(4)
         table.set_col_spacings(0)
@@ -1740,15 +1730,16 @@
         row = 0
 
-        labelAlignment = gtk.Alignment(xalign=0.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign=0.0, yalign = 0.5,
                                        xscale=0.0, yscale = 0.0)
-        label = gtk.Label(xstr("student_entry_exam_status"))
+        label = Gtk.Label(xstr("student_entry_exam_status"))
         label.set_alignment(0.0, 0.5)
         labelAlignment.add(label)
         labelAlignment.resize_children()
-        table.attach(labelAlignment, 0, 1, row, row + 1, xoptions = FILL)
-
-        alignment = gtk.Alignment(xalign=0.0, yalign = 0.5,
+        table.attach(labelAlignment, 0, 1, row, row + 1,
+                     xoptions = Gtk.AttachOptions.FILL)
+
+        alignment = Gtk.Alignment(xalign=0.0, yalign = 0.5,
                                   xscale=1.0, yscale = 0.0)
-        self._entryExamStatus = gtk.Label()
+        self._entryExamStatus = Gtk.Label()
         self._entryExamStatus.set_use_markup(True)
         self._entryExamStatus.set_alignment(0.0, 0.5)
@@ -1759,6 +1750,6 @@
         row += 1
 
-        buttonAlignment = gtk.Alignment(xalign=0.0, xscale=1.0)
-        button = self._entryExamButton = gtk.Button(xstr("student_entry_exam"))
+        buttonAlignment = Gtk.Alignment(xalign=0.0, xscale=1.0)
+        button = self._entryExamButton = Gtk.Button(xstr("student_entry_exam"))
         button.set_use_underline(True)
         button.connect("clicked", self._entryExamClicked)
@@ -1766,18 +1757,20 @@
 
         buttonAlignment.add(button)
-        table.attach(buttonAlignment, 0, 4, row, row + 1, xoptions = FILL,
+        table.attach(buttonAlignment, 0, 4, row, row + 1,
+                     xoptions = Gtk.AttachOptions.FILL,
                      ypadding = 4)
 
         row += 3
 
-        labelAlignment = gtk.Alignment(xalign=0.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign=0.0, yalign = 0.5,
                                        xscale=0.0, yscale = 0.0)
-        label = gtk.Label(xstr("student_check_flight_status"))
+        label = Gtk.Label(xstr("student_check_flight_status"))
         labelAlignment.add(label)
-        table.attach(labelAlignment, 0, 1, row, row + 1, xoptions = FILL)
-
-        alignment = gtk.Alignment(xalign=0.0, yalign = 0.5,
+        table.attach(labelAlignment, 0, 1, row, row + 1,
+                     xoptions = Gtk.AttachOptions.FILL)
+
+        alignment = Gtk.Alignment(xalign=0.0, yalign = 0.5,
                                   xscale=1.0, yscale = 0.0)
-        self._checkFlightStatus = gtk.Label()
+        self._checkFlightStatus = Gtk.Label()
         self._checkFlightStatus.set_use_markup(True)
         self._checkFlightStatus.set_alignment(0.0, 0.5)
@@ -1787,19 +1780,19 @@
         row += 1
 
-        alignment = gtk.Alignment(xalign=0.0, xscale=1.0)
-
-        hbox = gtk.HBox()
+        alignment = Gtk.Alignment(xalign=0.0, xscale=1.0)
+
+        hbox = Gtk.HBox()
         hbox.set_homogeneous(False)
         hbox.set_spacing(0)
 
-        aircraftTypesModel = gtk.ListStore(str, int)
+        aircraftTypesModel = Gtk.ListStore(str, int)
         for aircraftType in web.BookedFlight.checkFlightTypes:
             aircraftTypesModel.append([aircraftNames[aircraftType],
                                        aircraftType])
 
-        aircraftTypeAlignment = gtk.Alignment(xalign = 0.0, xscale = 1.0)
-
-        self._aircraftType = gtk.ComboBox(model = aircraftTypesModel)
-        renderer = gtk.CellRendererText()
+        aircraftTypeAlignment = Gtk.Alignment(xalign = 0.0, xscale = 1.0)
+
+        self._aircraftType = Gtk.ComboBox(model = aircraftTypesModel)
+        renderer = Gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -1811,6 +1804,6 @@
         hbox.pack_start(aircraftTypeAlignment, False, False, 0)
 
-        buttonAlignment = gtk.Alignment(xalign=0.0, xscale=1.0)
-        button = self._checkFlightButton = gtk.Button(xstr("student_check_flight"))
+        buttonAlignment = Gtk.Alignment(xalign=0.0, xscale=1.0)
+        button = self._checkFlightButton = Gtk.Button(xstr("student_check_flight"))
         button.set_use_underline(True)
         button.connect("clicked", self._checkFlightClicked)
@@ -1820,5 +1813,6 @@
 
         alignment.add(hbox)
-        table.attach(alignment, 0, 4, row, row + 1, xoptions = FILL)
+        table.attach(alignment, 0, 4, row, row + 1,
+                     xoptions = Gtk.AttachOptions.FILL)
 
     @property
@@ -1830,5 +1824,5 @@
     def activate(self):
         """Activate the student page."""
-        print "StudentPage.activate"
+        print("StudentPage.activate")
         self._getEntryExamStatusCancelled = False
 
@@ -1844,5 +1838,5 @@
     def finalize(self):
         """Finalize the page."""
-        print "StudentPage.finalize"
+        print("StudentPage.finalize")
         self._getEntryExamStatusCancelled = True
 
@@ -1854,5 +1848,5 @@
         """Initiate the query of the entry exam status after the interval."""
         if not self._getEntryExamStatusCancelled:
-            gobject.timeout_add(StudentPage._entryExamStatusQueryInterval,
+            GObject.timeout_add(StudentPage._entryExamStatusQueryInterval,
                                 lambda: self._wizard.gui.webHandler. \
                                 getEntryExamStatus(self._entryExamStatusCallback))
@@ -1860,9 +1854,9 @@
     def _entryExamStatusCallback(self, returned, result):
         """Called when the entry exam status is available."""
-        gobject.idle_add(self._handleEntryExamStatus, returned, result)
+        GObject.idle_add(self._handleEntryExamStatus, returned, result)
 
     def _handleEntryExamStatus(self, returned, result):
         """Called when the entry exam status is availabe."""
-        print "_handleEntryExamStatus", returned, result
+        print("_handleEntryExamStatus", returned, result)
         if returned and not self._getEntryExamStatusCancelled:
             self._entryExamLink = result.entryExamLink
@@ -1907,9 +1901,9 @@
         gui = wizard.gui
 
-        dialog = gtk.MessageDialog(parent = gui.mainWindow,
-                                   type = MESSAGETYPE_INFO,
+        dialog = Gtk.MessageDialog(parent = gui.mainWindow,
+                                   type = Gtk.MessageType.INFO,
                                    message_format = xstr("student_fo"))
 
-        dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
+        dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
         dialog.set_title(WINDOW_TITLE_BASE)
         secondary = xstr("student_fo_secondary")
@@ -1937,8 +1931,8 @@
         self._selectSimulator = os.name=="nt" or "FORCE_SELECT_SIM" in os.environ
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(7 if self._selectSimulator else 5, 2)
+        table = Gtk.Table(7 if self._selectSimulator else 5, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -1947,11 +1941,11 @@
         self.setMainWidget(alignment)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_flightno"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_flightno"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 0, 1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._flightNumber = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._flightNumber = Gtk.Label()
         self._flightNumber.set_width_chars(9)
         self._flightNumber.set_alignment(0.0, 0.5)
@@ -1959,11 +1953,11 @@
         table.attach(labelAlignment, 1, 2, 0, 1)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_acft"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_acft"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 1, 2)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._aircraft = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._aircraft = Gtk.Label()
         self._aircraft.set_width_chars(25)
         self._aircraft.set_alignment(0.0, 0.5)
@@ -1971,11 +1965,11 @@
         table.attach(labelAlignment, 1, 2, 1, 2)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_tailno"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_tailno"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 2, 3)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._tailNumber = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._tailNumber = Gtk.Label()
         self._tailNumber.set_width_chars(10)
         self._tailNumber.set_alignment(0.0, 0.5)
@@ -1983,11 +1977,11 @@
         table.attach(labelAlignment, 1, 2, 2, 3)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_airport"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_airport"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 3, 4)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._departureICAO = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._departureICAO = Gtk.Label()
         self._departureICAO.set_width_chars(6)
         self._departureICAO.set_alignment(0.0, 0.5)
@@ -1995,11 +1989,11 @@
         table.attach(labelAlignment, 1, 2, 3, 4)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_gate"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_gate"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 4, 5)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._departureGate = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._departureGate = Gtk.Label()
         self._departureGate.set_width_chars(5)
         self._departureGate.set_alignment(0.0, 0.5)
@@ -2008,29 +2002,21 @@
 
         if self._selectSimulator:
-            labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0, yalign=0.5)
-            label = gtk.Label(xstr("connect_sim"))
+            labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0, yalign=0.5)
+            label = Gtk.Label(xstr("connect_sim"))
             labelAlignment.add(label)
             table.attach(labelAlignment, 0, 1, 5, 7)
 
-            selectAlignment = gtk.Alignment(xalign=0.0, xscale=0.0, yalign=0.5)
-
-            selectBox = gtk.HBox()
-            if pygobject:
-                self._selectMSFS = \
-                  gtk.RadioButton.new_with_mnemonic_from_widget(None,
-                                                                xstr("connect_sim_msfs"))
-            else:
-                self._selectMSFS = gtk.RadioButton(None,
-                                                   xstr("connect_sim_msfs"))
+            selectAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0, yalign=0.5)
+
+            selectBox = Gtk.HBox()
+            self._selectMSFS = \
+                Gtk.RadioButton.new_with_mnemonic_from_widget(None,
+                                                              xstr("connect_sim_msfs"))
 
             selectBox.pack_start(self._selectMSFS, False, False, 0);
 
-            if pygobject:
-                self._selectXPlane = \
-                  gtk.RadioButton.new_with_mnemonic_from_widget(self._selectMSFS,
-                                                                xstr("connect_sim_xplane"))
-            else:
-                self._selectXPlane = gtk.RadioButton(self._selectMSFS,
-                                                     xstr("connect_sim_xplane"))
+            self._selectXPlane = \
+                Gtk.RadioButton.new_with_mnemonic_from_widget(self._selectMSFS,
+                                                              xstr("connect_sim_xplane"))
 
             selectBox.pack_start(self._selectXPlane, False, False, 8);
@@ -2122,8 +2108,8 @@
                                           completedHelp = xstr("payload_chelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(7, 3)
+        table = Gtk.Table(7, 3)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2132,5 +2118,5 @@
         self.setMainWidget(alignment)
 
-        label = gtk.Label(xstr("payload_crew"))
+        label = Gtk.Label(xstr("payload_crew"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2144,5 +2130,5 @@
         label.set_mnemonic_widget(self._numCrew)
 
-        label = gtk.Label(xstr("payload_pax"))
+        label = Gtk.Label(xstr("payload_pax"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2156,5 +2142,5 @@
         label.set_mnemonic_widget(self._numPassengers)
 
-        label = gtk.Label(xstr("payload_bag"))
+        label = Gtk.Label(xstr("payload_bag"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2168,7 +2154,7 @@
         label.set_mnemonic_widget(self._bagWeight)
 
-        table.attach(gtk.Label("kg"), 2, 3, 2, 3)
-
-        label = gtk.Label(xstr("payload_cargo"))
+        table.attach(Gtk.Label("kg"), 2, 3, 2, 3)
+
+        label = Gtk.Label(xstr("payload_cargo"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2182,7 +2168,7 @@
         label.set_mnemonic_widget(self._cargoWeight)
 
-        table.attach(gtk.Label("kg"), 2, 3, 3, 4)
-
-        label = gtk.Label(xstr("payload_mail"))
+        table.attach(Gtk.Label("kg"), 2, 3, 3, 4)
+
+        label = Gtk.Label(xstr("payload_mail"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2196,19 +2182,19 @@
         label.set_mnemonic_widget(self._mailWeight)
 
-        table.attach(gtk.Label("kg"), 2, 3, 4, 5)
-
-        label = gtk.Label("<b>" + xstr("payload_zfw") + "</b>")
+        table.attach(Gtk.Label("kg"), 2, 3, 4, 5)
+
+        label = Gtk.Label("<b>" + xstr("payload_zfw") + "</b>")
         label.set_alignment(0.0, 0.5)
         label.set_use_markup(True)
         table.attach(label, 0, 1, 5, 6)
 
-        self._calculatedZFW = gtk.Label()
+        self._calculatedZFW = Gtk.Label()
         self._calculatedZFW.set_width_chars(6)
         self._calculatedZFW.set_alignment(1.0, 0.5)
         table.attach(self._calculatedZFW, 1, 2, 5, 6)
 
-        table.attach(gtk.Label("kg"), 2, 3, 5, 6)
-
-        self._zfwButton = gtk.Button(xstr("payload_fszfw"))
+        table.attach(Gtk.Label("kg"), 2, 3, 5, 6)
+
+        self._zfwButton = Gtk.Button(xstr("payload_fszfw"))
         self._zfwButton.set_use_underline(True)
         self._zfwButton.connect("clicked", self._zfwRequested)
@@ -2216,5 +2202,5 @@
         table.attach(self._zfwButton, 0, 1, 6, 7)
 
-        self._simulatorZFW = gtk.Label("-")
+        self._simulatorZFW = Gtk.Label("-")
         self._simulatorZFW.set_width_chars(6)
         self._simulatorZFW.set_alignment(1.0, 0.5)
@@ -2222,5 +2208,5 @@
         self._simulatorZFWValue = None
 
-        table.attach(gtk.Label("kg"), 2, 3, 6, 7)
+        table.attach(Gtk.Label("kg"), 2, 3, 6, 7)
 
         self.addCancelFlightButton()
@@ -2319,5 +2305,5 @@
     def _handleZFW(self, zfw):
         """Called when the ZFW value is retrieved."""
-        gobject.idle_add(self._processZFW, zfw)
+        GObject.idle_add(self._processZFW, zfw)
 
     def _processZFW(self, zfw):
@@ -2350,8 +2336,8 @@
                                        completedHelp = xstr("time_chelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2360,21 +2346,21 @@
         self.setMainWidget(alignment)
 
-        label = gtk.Label(xstr("time_departure"))
+        label = Gtk.Label(xstr("time_departure"))
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 0, 1)
 
-        self._departure = gtk.Label()
+        self._departure = Gtk.Label()
         self._departure.set_alignment(0.0, 0.5)
         table.attach(self._departure, 1, 2, 0, 1)
 
-        label = gtk.Label(xstr("time_arrival"))
+        label = Gtk.Label(xstr("time_arrival"))
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 1, 2)
 
-        self._arrival = gtk.Label()
+        self._arrival = Gtk.Label()
         self._arrival.set_alignment(0.0, 0.5)
         table.attach(self._arrival, 1, 2, 1, 2)
 
-        self._timeButton = gtk.Button(xstr("time_fs"))
+        self._timeButton = Gtk.Button(xstr("time_fs"))
         self._timeButton.set_use_underline(True)
         self._timeButton.set_tooltip_text(xstr("time_fs_tooltip"))
@@ -2382,5 +2368,5 @@
         table.attach(self._timeButton, 0, 1, 2, 3)
 
-        self._simulatorTime = gtk.Label("-")
+        self._simulatorTime = Gtk.Label("-")
         self._simulatorTime.set_alignment(0.0, 0.5)
         table.attach(self._simulatorTime, 1, 2, 2, 3)
@@ -2409,5 +2395,5 @@
     def _handleTime(self, timestamp):
         """Handle the result of a time retrieval."""
-        gobject.idle_add(self._processTime, timestamp)
+        GObject.idle_add(self._processTime, timestamp)
 
     def _processTime(self, timestamp):
@@ -2453,5 +2439,5 @@
     def _handleFuel(self, fuelData):
         """Callback for the fuel query operation."""
-        gobject.idle_add(self._processFuel, fuelData)
+        GObject.idle_add(self._processFuel, fuelData)
 
     def _processFuel(self, fuelData):
@@ -2472,18 +2458,18 @@
                                         completedHelp = xstr("route_chelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        mainBox = gtk.VBox()
+        mainBox = Gtk.VBox()
         alignment.add(mainBox)
         self.setMainWidget(alignment)
 
-        levelBox = gtk.HBox()
-
-        label = gtk.Label(xstr("route_level"))
+        levelBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("route_level"))
         label.set_use_underline(True)
         levelBox.pack_start(label, True, True, 0)
 
-        self._cruiseLevel = gtk.SpinButton()
+        self._cruiseLevel = Gtk.SpinButton()
         self._cruiseLevel.set_increments(step = 10, page = 100)
         self._cruiseLevel.set_range(min = 0, max = 500)
@@ -2496,5 +2482,5 @@
         levelBox.pack_start(self._cruiseLevel, False, False, 8)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(levelBox)
@@ -2503,27 +2489,24 @@
 
 
-        routeBox = gtk.VBox()
-
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        routeBox = Gtk.VBox()
+
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("route_route"))
+        label = Gtk.Label(xstr("route_route"))
         label.set_use_underline(True)
         alignment.add(label)
         routeBox.pack_start(alignment, True, True, 0)
 
-        routeWindow = gtk.ScrolledWindow()
+        routeWindow = Gtk.ScrolledWindow()
         routeWindow.set_size_request(400, 80)
-        routeWindow.set_shadow_type(gtk.ShadowType.IN if pygobject
-                                    else gtk.SHADOW_IN)
-        routeWindow.set_policy(gtk.PolicyType.AUTOMATIC if pygobject
-                               else gtk.POLICY_AUTOMATIC,
-                               gtk.PolicyType.AUTOMATIC if pygobject
-                               else gtk.POLICY_AUTOMATIC)
+        routeWindow.set_shadow_type(Gtk.ShadowType.IN)
+        routeWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                               Gtk.PolicyType.AUTOMATIC)
 
         self._uppercasingRoute = False
 
-        self._route = gtk.TextView()
+        self._route = Gtk.TextView()
         self._route.set_tooltip_text(xstr("route_route_tooltip"))
-        self._route.set_wrap_mode(WRAP_WORD)
+        self._route.set_wrap_mode(Gtk.WrapMode.WORD)
         self._route.get_buffer().connect("changed", self._routeChanged)
         self._route.get_buffer().connect_after("insert-text", self._routeInserted)
@@ -2535,11 +2518,11 @@
         mainBox.pack_start(routeBox, True, True, 8)
 
-        alternateBox = gtk.HBox()
-
-        label = gtk.Label(xstr("route_altn"))
+        alternateBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("route_altn"))
         label.set_use_underline(True)
         alternateBox.pack_start(label, True, True, 0)
 
-        self._alternate = gtk.Entry()
+        self._alternate = Gtk.Entry()
         self._alternate.set_width_chars(6)
         self._alternate.connect("changed", self._alternateChanged)
@@ -2549,5 +2532,5 @@
         alternateBox.pack_start(self._alternate, False, False, 8)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(alternateBox)
